Subject: Re: [rfc] Merging the Open vSwitch datapath

From: Ben Pfaff <[email-masked]>
Date: Mon, 30 Aug 2010 11:33:28 -0700

[restoring CCs that I inadvertently busted upthread]

On Mon, Aug 30, 2010 at 11:26:17AM -0700, Rose, Gregory V wrote:
> >From: [email-masked] [mailto:[email-masked]]
> >On Behalf Of Ben Pfaff
> >
> >Simon Horman <[email-masked]> writes:
> >
> >>    * Possible use of netlink for user-space interface
> >
> >I'm working on this one this week, for what it's worth.
> 
> I just want to put in a plug for the netlink interface.  For NICs with
> EVB we'll need it.

Off-hand, the main reasons to use Netlink, instead of the existing
character device interface, are that Netlink is easier to extend and
that it should reduce or eliminate the 32-to-64 bit compat layer
currently in the Open vSwitch tree.

Why will NICs with EVB require Netlink for the Open vSwitch interface?